Skip to main content
The Broker API returns positions and trades for the user identified by X-User-Wallet-Address. These private endpoints require a Broker API Key. See Broker API Key and signing. Production Base URL:

List Positions

cURL
Common response fields include: Use the returned next_cursor as cursor for the next page.

Get a Position

cURL

List User Trades

cURL
User trade records typically include fields such as trade_id, order_id, condition_id, token_id, price, size, side, role, and fee_rate.

Query Scope

The current endpoints primarily provide data for the authenticated account, including:
  • positions;
  • user trades;
  • orders;
  • account assets and account-book records;
  • settlement and claim records.
Account endpoints query data for the currently authenticated user. They should not be interpreted as public on-chain query endpoints for arbitrary wallet addresses.